This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 21404 - Kernel update to 2.2.16-3 causes panic in system that boots from 3Ware Escalade controller
Kernel update to 2.2.16-3 causes panic in system that boots from 3Ware Escala...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-27 19:31 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:00:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-27 19:31:51 EST
Kernel update to 2.2.16-3 causes panic in system that boots from 3Ware 
Escalade controller

The driver included with the updated kernel is not compatible.  Attempt to 
boot from the updated kernel results in error "Kernel Panic:" 
"VFS: Unable to mount root filesystem on 08:01"

The following workaround has been seen to work (but would not 
be necessary if the current, updated driver for Escalade from 
http://www.3ware.com/support/swlibrary.shtml was used in 
the Security update module set):

Procedure for updating Red Hat 6.2 to kernel 2.2.16-3 (Security Update)
while booting off of the 3ware controllers.
----------------------------------------------

Case 1: For non SMP (Multi Processor) systems:
----------------------------------------------
1. Run the Red Hat update which will consist of installing several RPM's
   which can be obtained from the redhat website.

2. Make sure the symbolic link /usr/src/linux points to /usr/src/linux-
2.2.16

3. Insert 3ware Red Hat 6.2 driver floppy (comes with the controller)

4. mcopy a:3w-xxxx.tgz /tmp

5. cd /tmp ; tar zxf 3w-xxxx.tgz

6. cd driver ; make

7. cd /boot 
 
8. cp initrd-2.2.14-5.0 initrd.gz

9. gunzip initrd.gz

10. /sbin/losetup /dev/loop0 initrd

11. mkdir /mnt2

12. mount -t ext2 /dev/loop0 /mnt2

13. cp /tmp/driver/3w-xxxx.o /mnt2/lib

14. umount /mnt2

15. /sbin/losetup -d /dev/loop0

16. gzip initrd

17. mv initrd.gz initrd-2.2.16-3.img

18. Edit the file /etc/lilo.conf with vi or emacs and ADD the following 
    lines to what is already there:

	  image = /boot/vmlinuz-2.2.16-3
	  label=linux-2.2.16
	  initrd=/boot/initrd-2.2.16-3.img
	  read-only
	  root=/dev/sda1      -> Look at the one that is there for this 
line

19. /sbin/lilo   Make sure there are no errors when you run this, or go 
    back to step 18.

20. Now reboot, and at the "LILO:" prompt, type in "linux-2.2.16" to go to
    the new kernel with the new 3ware driver.  If you want it to be the
    default image, modify /etc/lilo.conf and change the default label
    to be the new one you created in step 18.


Case 2: For SMP (Multi Processor) systems:
------------------------------------------
1. Run the Red Hat update which will consist of installing several RPM's
   which can be obtained from the redhat website.

2. Make sure the symbolic link /usr/src/linux points to /usr/src/linux-
2.2.16

3. Insert 3ware Red Hat 6.2 driver floppy (comes with the controller)

4. mcopy a:3w-xxxx.tgz /tmp

5. cd /tmp ; tar zxf 3w-xxxx.tgz

6. cd driver 
   edit the file 'Makefile' and include the compiler flag "-D__SMP__"

7. cd /boot 
 
8. cp initrd-2.2.14-5.0 initrd.gz

9. gunzip initrd.gz

10. /sbin/losetup /dev/loop0 initrd

11. mkdir /mnt2

12. mount -t ext2 /dev/loop0 /mnt2

13. cp /tmp/driver/3w-xxxx.o /mnt2/lib

14. umount /mnt2

15. /sbin/losetup -d /dev/loop0

16. gzip initrd

17. mv initrd.gz initrd-2.2.16-3-smp.img

18. Edit the file /etc/lilo.conf with vi or emacs and ADD the following 
    lines to what is already there:

	  image = /boot/vmlinuz-2.2.16-3-smp
	  label=linux-2.2.16-smp
	  initrd=/boot/initrd-2.2.16-3-smp.img
	  read-only
	  root=/dev/sda1      -> Look at the one that is there for this 
line

19. /sbin/lilo   Make sure there are no errors when you run this, or go 
    back to step 18.

20. Now reboot, and at the "LILO:" prompt, type in "linux-2.2.16-smp" to 
go to
    the new kernel with the new 3ware driver.  If you want it to be the
    default image, modify /etc/lilo.conf and change the default label
    to be the new one you created in step 18.

Case 3: User has already done the update, and is seeing the message:
     "Kernel Panic: VFS Unable to mount root filesystem on 08:01"
--------------------------------------------------------------------
1. If they managed to not over-write their old kernel entries in 
   /etc/lilo.conf, they should reboot and goto the "LILO:" prompt, 
   then boot their old 2.2.14-5.0 kernel, then repeat all of Case 1 
   or Case 2 above, depending on SMP or non SMP.

2. If they have over-written their original lilo entry, follow continue
   with the step 3.

3. Reboot the system, and boot off of the Red Hat 6.2 CD-ROM.

4. Type "expert" at the BOOT: prompt and introduction screen.

5. Insert 3ware Red Hat 6.2 driver floppy like a normal installation.

6. Complete the normal 'Update' style installation and reboot.
   Note:

   Do ****NOT**** select "Install" or run disk druid to repartition
   or fdisk to repartition their system.   They will lose their data if
   they do this.

7. Follow Case 1 or Case 2 above depending on whether it is an SMP system
   or Non-SMP system.
Comment 1 Jeff Johnson 2001-01-06 06:49:14 EST
Changing owner.

Note You need to log in before you can comment on or make changes to this bug.